Debian Bug report logs - #686961
CVE-2012-3549: kfreebsd SCTP DoS

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Raphael Geissert <geissert@debian.org>

Date: Fri, 7 Sep 2012 17:21:02 UTC

Severity: grave

Tags: confirmed, fixed-upstream, security

Found in versions kfreebsd-8/8.3-4, 8.2-15~bpo60+1

Fixed in version kfreebsd-8/8.3-5

Done: Christoph Egger <christoph@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#686961; Package kfreebsd-8. (Fri, 07 Sep 2012 17:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Geissert <geissert@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 07 Sep 2012 17:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Geissert <geissert@debian.org>
To: submit@bugs.debian.org
Subject: CVE-2012-3549: kfreebsd SCTP DoS
Date: Fri, 7 Sep 2012 12:17:45 -0500
Package: kfreebsd-8
Severity: grave
Tags: security
Control: clone -1 -2 -3
Control: reassign -2 src:kfreebsd-9
Control: reassign -3 src:kfreebsd-10

Hi,

CVE-2012-3549 has been assigned to be a remote DoS (via a NULL pointer 
dereference in the kernel) vulnerability in FreeBSD's SCTP 
implementation[1].

[1] http://www.exploit-db.com/exploits/20226/

If you fix the vulnerability please also make sure to include the
CVE (Common Vulnerabilities & Exposures) id in your changelog entry.

For further information see:

[0] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3549
    http://security-tracker.debian.org/tracker/CVE-2012-3549
Please adjust the affected versions in the BTS as needed.

Cheers,
-- 
Raphael Geissert - Debian Developer
www.debian.org - get.debian.net



Bug 686961 cloned as bugs 686962, 686963 Request was from Raphael Geissert <geissert@debian.org> to control@bugs.debian.org. (Fri, 07 Sep 2012 17:33:06 GMT) Full text and rfc822 format available.

Marked as found in versions kfreebsd-8/8.3-4. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 13:15:05 GMT) Full text and rfc822 format available.

Added tag(s) confirmed and fixed-upstream. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 13:21:03 GMT) Full text and rfc822 format available.

Reply sent to Christoph Egger <christoph@debian.org>:
You have taken responsibility. (Fri, 02 Nov 2012 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to Raphael Geissert <geissert@debian.org>:
Bug acknowledged by developer. (Fri, 02 Nov 2012 22:21:05 GMT) Full text and rfc822 format available.

Message #16 received at 686961-close@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: 686961-close@bugs.debian.org
Subject: Bug#686961: fixed in kfreebsd-8 8.3-5
Date: Fri, 02 Nov 2012 22:18:42 +0000
Source: kfreebsd-8
Source-Version: 8.3-5

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 686961@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Egger <christoph@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 02 Nov 2012 13:32:11 -0700
Source: kfreebsd-8
Binary: kfreebsd-source-8.3 kfreebsd-headers-8.3-1 kfreebsd-image-8.3-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.3-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.3-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.3-1-amd64 kfreebsd-headers-8-amd64 kernel-image-8.3-1-amd64-di nic-modules-8.3-1-amd64-di nic-wireless-modules-8.3-1-amd64-di nic-shared-modules-8.3-1-amd64-di serial-modules-8.3-1-amd64-di ppp-modules-8.3-1-amd64-di cdrom-modules-8.3-1-amd64-di scsi-core-modules-8.3-1-amd64-di scsi-modules-8.3-1-amd64-di scsi-extra-modules-8.3-1-amd64-di plip-modules-8.3-1-amd64-di floppy-modules-8.3-1-amd64-di loop-modules-8.3-1-amd64-di ipv6-modules-8.3-1-amd64-di nls-core-modules-8.3-1-amd64-di ext2-modules-8.3-1-amd64-di isofs-modules-8.3-1-amd64-di ntfs-modules-8.3-1-amd64-di reiserfs-modules-8.3-1-amd64-di xfs-modules-8.3-1-amd64-di fat-modules-8.3-1-amd64-di zfs-modules-8.3-1-amd64-di nfs-modules-8.3-1-amd64-di nullfs-modules-8.3-1-amd64-di
 md-modules-8.3-1-amd64-di parport-modules-8.3-1-amd64-di sata-modules-8.3-1-amd64-di acpi-modules-8.3-1-amd64-di i2c-modules-8.3-1-amd64-di crypto-modules-8.3-1-amd64-di crypto-dm-modules-8.3-1-amd64-di mmc-core-modules-8.3-1-amd64-di mmc-modules-8.3-1-amd64-di sound-modules-8.3-1-amd64-di zlib-modules-8.3-1-amd64-di kfreebsd-image-8.3-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.3-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.3-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.3-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.3-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.3-1-xen kfreebsd-headers-8-xen kernel-image-8.3-1-486-di nic-modules-8.3-1-486-di nic-wireless-modules-8.3-1-486-di nic-shared-modules-8.3-1-486-di serial-modules-8.3-1-486-di ppp-modules-8.3-1-486-di cdrom-modules-8.3-1-486-di scsi-core-modules-8.3-1-486-di scsi-modules-8.3-1-486-di scsi-extra-modules-8.3-1-486-di plip-modules-8.3-1-486-di floppy-modules-8.3-1-486-di loop-modules-8.3-1-486-di
 ipv6-modules-8.3-1-486-di nls-core-modules-8.3-1-486-di ext2-modules-8.3-1-486-di isofs-modules-8.3-1-486-di ntfs-modules-8.3-1-486-di reiserfs-modules-8.3-1-486-di xfs-modules-8.3-1-486-di fat-modules-8.3-1-486-di zfs-modules-8.3-1-486-di nfs-modules-8.3-1-486-di nullfs-modules-8.3-1-486-di md-modules-8.3-1-486-di parport-modules-8.3-1-486-di sata-modules-8.3-1-486-di acpi-modules-8.3-1-486-di i2c-modules-8.3-1-486-di crypto-modules-8.3-1-486-di crypto-dm-modules-8.3-1-486-di mmc-core-modules-8.3-1-486-di mmc-modules-8.3-1-486-di sound-modules-8.3-1-486-di zlib-modules-8.3-1-486-di kfreebsd-image-8.3-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.3-1-malta
 kfreebsd-headers-8-malta
Architecture: source all amd64
Version: 8.3-5
Distribution: unstable
Urgency: medium
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Christoph Egger <christoph@debian.org>
Description: 
 acpi-modules-8.3-1-486-di - ACPI support modules (udeb)
 acpi-modules-8.3-1-amd64-di - ACPI support modules (udeb)
 cdrom-modules-8.3-1-486-di - Esoteric CDROM drivers (udeb)
 cdrom-modules-8.3-1-amd64-di - Esoteric CDROM drivers (udeb)
 crypto-dm-modules-8.3-1-486-di - devicemapper crypto module (udeb)
 crypto-dm-modules-8.3-1-amd64-di - devicemapper crypto module (udeb)
 crypto-modules-8.3-1-486-di - crypto modules (udeb)
 crypto-modules-8.3-1-amd64-di - crypto modules (udeb)
 ext2-modules-8.3-1-486-di - EXT2 filesystem support (udeb)
 ext2-modules-8.3-1-amd64-di - EXT2 filesystem support (udeb)
 fat-modules-8.3-1-486-di - FAT filesystem support (udeb)
 fat-modules-8.3-1-amd64-di - FAT filesystem support (udeb)
 floppy-modules-8.3-1-486-di - Floppy driver (udeb)
 floppy-modules-8.3-1-amd64-di - Floppy driver (udeb)
 i2c-modules-8.3-1-486-di - i2c support modules (udeb)
 i2c-modules-8.3-1-amd64-di - i2c support modules (udeb)
 ipv6-modules-8.3-1-486-di - IPv6 driver (udeb)
 ipv6-modules-8.3-1-amd64-di - IPv6 driver (udeb)
 isofs-modules-8.3-1-486-di - ISOFS filesystem support (udeb)
 isofs-modules-8.3-1-amd64-di - ISOFS filesystem support (udeb)
 kernel-image-8.3-1-486-di - FreeBSD kernel binary image for the Debian installer (udeb)
 kernel-image-8.3-1-amd64-di - FreeBSD kernel binary image for the Debian installer (udeb)
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (transitional package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 9 (meta-package)
 kfreebsd-headers-8.3-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.3-1-486 - header files for kernel of FreeBSD 8.3
 kfreebsd-headers-8.3-1-686 - header files for kernel of FreeBSD 8.3
 kfreebsd-headers-8.3-1-686-smp - header files for kernel of FreeBSD 8.3 (transitional package)
 kfreebsd-headers-8.3-1-amd64 - header files for kernel of FreeBSD 8.3
 kfreebsd-headers-8.3-1-malta - header files for kernel of FreeBSD 8.3
 kfreebsd-headers-8.3-1-xen - header files for kernel of FreeBSD 8.3
 kfreebsd-image-8-486 - kernel of FreeBSD 9 (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 9 (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 (transitional package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 9 (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 9 (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 9 (meta-package)
 kfreebsd-image-8.3-1-486 - kernel of FreeBSD 8.3 image
 kfreebsd-image-8.3-1-686 - kernel of FreeBSD 8.3 image
 kfreebsd-image-8.3-1-686-smp - kernel of FreeBSD 8.3 (transitional package)
 kfreebsd-image-8.3-1-amd64 - kernel of FreeBSD 8.3 image
 kfreebsd-image-8.3-1-malta - kernel of FreeBSD 8.3 image
 kfreebsd-image-8.3-1-xen - kernel of FreeBSD 8.3 image
 kfreebsd-source-8.3 - source code for kernel of FreeBSD 8.3 with Debian patches
 loop-modules-8.3-1-486-di - Loopback filesystem support (udeb)
 loop-modules-8.3-1-amd64-di - Loopback filesystem support (udeb)
 md-modules-8.3-1-486-di - RAID and LVM support (udeb)
 md-modules-8.3-1-amd64-di - RAID and LVM support (udeb)
 mmc-core-modules-8.3-1-486-di - MMC/SD/SDIO core modules (udeb)
 mmc-core-modules-8.3-1-amd64-di - MMC/SD/SDIO core modules (udeb)
 mmc-modules-8.3-1-486-di - MMC/SD card modules (udeb)
 mmc-modules-8.3-1-amd64-di - MMC/SD card modules (udeb)
 nfs-modules-8.3-1-486-di - NFS filesystem support (udeb)
 nfs-modules-8.3-1-amd64-di - NFS filesystem support (udeb)
 nic-modules-8.3-1-486-di - Common NIC drivers (udeb)
 nic-modules-8.3-1-amd64-di - Common NIC drivers (udeb)
 nic-shared-modules-8.3-1-486-di - Shared NIC drivers (udeb)
 nic-shared-modules-8.3-1-amd64-di - Shared NIC drivers (udeb)
 nic-wireless-modules-8.3-1-486-di - Wireless NIC drivers (udeb)
 nic-wireless-modules-8.3-1-amd64-di - Wireless NIC drivers (udeb)
 nls-core-modules-8.3-1-486-di - Core NLS support (udeb)
 nls-core-modules-8.3-1-amd64-di - Core NLS support (udeb)
 ntfs-modules-8.3-1-486-di - NTFS filesystem support (udeb)
 ntfs-modules-8.3-1-amd64-di - NTFS filesystem support (udeb)
 nullfs-modules-8.3-1-486-di - nullfs filesystem support (udeb)
 nullfs-modules-8.3-1-amd64-di - nullfs filesystem support (udeb)
 parport-modules-8.3-1-486-di - Parallel port support (udeb)
 parport-modules-8.3-1-amd64-di - Parallel port support (udeb)
 plip-modules-8.3-1-486-di - PLIP drivers (udeb)
 plip-modules-8.3-1-amd64-di - PLIP drivers (udeb)
 ppp-modules-8.3-1-486-di - PPP drivers (udeb)
 ppp-modules-8.3-1-amd64-di - PPP drivers (udeb)
 reiserfs-modules-8.3-1-486-di - Reiser filesystem support (udeb)
 reiserfs-modules-8.3-1-amd64-di - Reiser filesystem support (udeb)
 sata-modules-8.3-1-486-di - SATA drivers (udeb)
 sata-modules-8.3-1-amd64-di - SATA drivers (udeb)
 scsi-core-modules-8.3-1-486-di - Core SCSI subsystem (udeb)
 scsi-core-modules-8.3-1-amd64-di - Core SCSI subsystem (udeb)
 scsi-extra-modules-8.3-1-486-di - Uncommon SCSI drivers (udeb)
 scsi-extra-modules-8.3-1-amd64-di - Uncommon SCSI drivers (udeb)
 scsi-modules-8.3-1-486-di - SCSI drivers (udeb)
 scsi-modules-8.3-1-amd64-di - SCSI drivers (udeb)
 serial-modules-8.3-1-486-di - Serial drivers (udeb)
 serial-modules-8.3-1-amd64-di - Serial drivers (udeb)
 sound-modules-8.3-1-486-di - sound support (udeb)
 sound-modules-8.3-1-amd64-di - sound support (udeb)
 xfs-modules-8.3-1-486-di - XFS filesystem support (udeb)
 xfs-modules-8.3-1-amd64-di - XFS filesystem support (udeb)
 zfs-modules-8.3-1-486-di - ZFS filesystem support (udeb)
 zfs-modules-8.3-1-amd64-di - ZFS filesystem support (udeb)
 zlib-modules-8.3-1-486-di - zlib modules (udeb)
 zlib-modules-8.3-1-amd64-di - zlib modules (udeb)
Closes: 672255 686961
Changes: 
 kfreebsd-8 (8.3-5) unstable; urgency=medium
 .
   [ Robert Millan ]
   * Remove /boot symlink kludge.  (Closes: #672255)
 .
   [ Christoph Egger ]
   * Import svn239447 from upstream 8-STABLE to fix a DoS vulnerability in
     SCTP (Closes: #686961)
Checksums-Sha1: 
 c936aca8ccec4e5b466a0c22f20057a7ec13b064 10152 kfreebsd-8_8.3-5.dsc
 5e7f1d81b086061de46b9b0434a9ec675abbfe7d 139005 kfreebsd-8_8.3-5.debian.tar.gz
 9d668420ed98880b2258c814b0311eb386ef28f4 19886636 kfreebsd-source-8.3_8.3-5_all.deb
 e950b05b2b64b653795d856e3fb4e8142fa32742 7973772 kfreebsd-headers-8.3-1_8.3-5_amd64.deb
 07628bfe04fea749cef861b3b5665905b498c0c6 13365978 kfreebsd-image-8.3-1-amd64_8.3-5_amd64.deb
 67e832a5159c0299bec18d471eee98f4b46e11d2 50188 kfreebsd-image-8-amd64_8.3-5_amd64.deb
 c8798994f78b051fcb96531d13dc6ad8a03c08dd 326470 kfreebsd-headers-8.3-1-amd64_8.3-5_amd64.deb
 af557c9e9d2ae3b318c01ebf25b7446c850d22d7 50192 kfreebsd-headers-8-amd64_8.3-5_amd64.deb
Checksums-Sha256: 
 fd3e4f133ebd0fce978284009f9b5ea029037bc9dcbfa3e549120548b916a9de 10152 kfreebsd-8_8.3-5.dsc
 00dfdcfa3240bd1618f9481854b851d65b5239c9a02bd13a42782f58329faac8 139005 kfreebsd-8_8.3-5.debian.tar.gz
 f30ee7ebec80e5912fb91b8a96d98bd0259a158093d8a7cdf8676d95cda42084 19886636 kfreebsd-source-8.3_8.3-5_all.deb
 d11a62731a1ad40adaf11ee0067ff6af476530befcbcbcb6679de214ea8f69ab 7973772 kfreebsd-headers-8.3-1_8.3-5_amd64.deb
 02048a5080b24c6ce453ac3d594f2f06dd3ed31f47a980f713f55f574e85ead6 13365978 kfreebsd-image-8.3-1-amd64_8.3-5_amd64.deb
 4f9e41663364154a09bc0000a15154069a2d2044faa4f3dd5844d5d725b856cc 50188 kfreebsd-image-8-amd64_8.3-5_amd64.deb
 261f82eb30afc05a7b7b000201a1ca7847ffe69bdaf1ca7fffbe33c74130c646 326470 kfreebsd-headers-8.3-1-amd64_8.3-5_amd64.deb
 179fbaeb8ff3d3f79cb98c860cca3a1d5a08edbf1adb03e3642b6030e384fe8d 50192 kfreebsd-headers-8-amd64_8.3-5_amd64.deb
Files: 
 66acb89c9f884ff3c0b4bc8bba339b8c 10152 kernel optional kfreebsd-8_8.3-5.dsc
 4db0ea36e5d3877a0fe600906b0011e4 139005 kernel optional kfreebsd-8_8.3-5.debian.tar.gz
 9bb37559520a959f5e5021fd7649fb6a 19886636 kernel optional kfreebsd-source-8.3_8.3-5_all.deb
 0c0e40ca4a127f92c729ffb82b3f833f 7973772 kernel optional kfreebsd-headers-8.3-1_8.3-5_amd64.deb
 f7ce7f8b78511b397845609e175c2f0c 13365978 kernel optional kfreebsd-image-8.3-1-amd64_8.3-5_amd64.deb
 b68162a2838b06f55124089a7fbb3010 50188 kernel optional kfreebsd-image-8-amd64_8.3-5_amd64.deb
 e61e33404680df34cf2c77cd6331a47d 326470 kernel optional kfreebsd-headers-8.3-1-amd64_8.3-5_amd64.deb
 8f2bee21e3ddc8b778d687709fb53c78 50192 kernel optional kfreebsd-headers-8-amd64_8.3-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQlEKBAAoJEKv/7bJACMb56agQAIPF0bBRe6KjZx0aooyhq9sG
c+NXy+bXyqyNxPv+Hhr0lSQQM1pN0deN6aIYWf0jdjUtsGDS0UJ3gXIuIz6T8cTs
fGMifSPEUn3z+WqLI/UHv5MMKx9dLrM55WxTWd+8tRURnwoYavZ2Q76abJh3n1H+
uvmVB2NPjua5c7vJKZ1fS2q0Cd3LY69XudleGpW57/Gm+iFOc1bk2Fn887vxnHTZ
pflDSCGH3CG4+WXXo2PkROpRycrJ28yCV753BBmJ0IxIAOxOkS6A+Vnoz1Es76Eg
3KyKYRLazE9q81BtH/nbEVybNDpYpnvoPOBNy46tn1kprYuIdcQeHkLmGj1uGiEl
H6LIvE1AjHOVsKTzL1hf50qkCaFJNFAJVEXA86isMmkFlsRHwAHeBTTp2s9b6cTU
nJJFXenJ8wOJJbrC7b34p5/sjJWK92NQvcHYNy/v6Wc0jxziFI7jflo3SLreLpmR
LhfwtsNCxu0LTOo+kVPQXLouStXL/tL/lh+Rbf+k+wKRxdIwtZW//11qlE5raF4T
CvxdgCowL6r2o/B5eX+v6B6gZnd/jJxUPuA93Dlc21IF+PENvzi3TOUtXbel3Dmc
Rn/mIgDYoawV5IEwhNEJgsPjMeM80VE7d3sYvD2VSi6kyD8zCT0pgeJsS1CqpX2G
Qf4zqGB0wOvA3STwLfEz
=O/cq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Dec 2012 07:28:23 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 10 Feb 2013 20:30:11 GMT) Full text and rfc822 format available.

Marked as found in versions 8.2-15~bpo60+1. Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sun, 10 Feb 2013 20:33:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Mar 2013 07:26:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:22:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.